Lists fee policies
Lists your fee policies — the ones pricing the fees you charge your users — newest first, paginated. Deleted policies are never listed.
Filters
fee_type— the kind of fee the policies price.target_type— the kind of entity they apply to.target_id— one entity in particular; requires itstarget_type.skip— whether they are skipped (paused).
To see which policies apply to one specific account and which of them wins, use the account's fee policies endpoint instead.
AuthorizationBearer <token>
In: header
Query Parameters
page_number?integer
Number of the page
Default
1Range
1 <= valueExample
1page_size?integer
Amount of registers that must be listed by page
Default
10Range
10 <= value <= 500Example
10fee_type?string
Filter by the kind of fee the policies price
Value in
"account_to_account_fx" | "account_to_account_fx_spread" | "bank_transfer" | "bank_transfer_gmf" | "payin"Example
"bank_transfer"target_type?string
Filter by the kind of entity the policies apply to
Value in
"tenant" | "program" | "account_holder" | "account"Example
"program"target_id?string
Match
^[A-Za-z]{2,7}_[\w-]{22}$Example
"pro_5tgliBmzjZ6mpQPRbQjfKj"skip?boolean
Filter by whether the policies are ignored while resolving
Example
falseResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.sandbox.cuentamono.com/v1/core/fees/policies"{
"pagination": {
"page_number": 1,
"page_size": 10,
"total_items": 100,
"total_pages": 10
},
"policies": [
{
"fee_type": "bank_transfer",
"id": "fpol_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2022-01-01T01:00:00Z",
"processing_subtype": "add_posting",
"processing_type": "inline",
"skip": false,
"strategies": {
"COP": {
"default_calculation": {
"fixed": 0,
"percentage": "0.004",
"percentage_limit": 500000,
"percentage_mode": "capped"
},
"rules": [
{
"calculation": {
"fixed": 900000,
"percentage": "0"
},
"conditions": [
{
"left": {
"property": "payout.method"
},
"operator": "equal",
"right": {
"value": "co_ach"
}
}
],
"summary": "Applies to co_ach payouts"
}
]
}
},
"summary": "Program bank transfer fee",
"target_id": "pro_5tgliBmzjZ6mpQPRbQjfKj",
"target_type": "program",
"transaction_description": "Bank transfer fee",
"updated_at": "2022-01-01T01:00:00Z"
}
]
}{
"code": "401 Unauthorized",
"errors": [
{
"error_code": "missing_authorization_header",
"message": "`Authorization` header is missing.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Authorization header is missing or invalid."
}{
"code": "403 Forbidden",
"errors": [
{
"error_code": "not_authorized",
"message": "Not authorized to have access to this resource.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Not authorized to have access to this resource"
}{
"code": "422 Unprocessable Content",
"errors": [
{
"error_code": "invalid_enum",
"message": "The field contains an invalid value.",
"path": "#/path/to/field",
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Validation errors"
}